Redmine - Defect #6609

% Done for Parent Tasks [2]
2010-10-08 09:36 - Ewan Makepeace

Status: Reopened Start date: 2010-10-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Unplanned backlogs

Resolution: Affected version:

Description

If | have parent tasks and sub tasks and | use manual (per issue) % done values, then the parent gets the average of the values of
the subtasks.

However if | use the option to set % done from status updates then instead of inheriting its % done from the subtasks it takes it from
the status attached on the parent task.

Example:

parent.jpg
In this case 3 of 4 subtasks are finished and the 4th is in progress, yet the parent task remains at 10% because its status is just
'Developing' (which means not much for a container task).

| actually have two separate requests here:

1. | think that parent tasks should inherit their done% from the sub tasks in both modes (note that when using per-issue Done%
values | do not get the option to pick a value for the parent, it is always computed, so why not for the by-status version too?)

2. Rather than average the Done of the child tasks | would prefer to weight them by the estimated time of each subtask, so if |
have 2 x 8 hr tasks finished and one 4 hour task not started the parent would be at 80 and not 66%.

Related issues:

Related to Redmine - Feature #22284: Issues statuses: Option to force removal... New
Has duplicate Redmine - Feature #18184: Calculate parent task done ratio base... Closed
Has duplicate Redmine - Defect #13116: When setting Redmine to update the don... Closed
Has duplicate Redmine - Feature #15692: calculation of % done with subtickets Closed
Has duplicate Redmine - Feature #23529: Calculate parent Issue's done ratio f... Closed
History

#1 - 2013-01-15 11:44 - Daniel Felix

- Status changed from New to Needs feedback

Any news on this? I'm not able to reproduce this.

Is this one fixed already?

#2 - 2013-12-19 21:57 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Resolved

- Resolution set to No feedback

#3 - 2013-12-20 03:08 - Toshi MARUYAMA

- Status changed from Resolved to Closed

#4 - 2013-12-20 06:41 - Ewan Makepeace

Does that mean it was implemented? Which version?

#5 - 2014-01-10 06:10 - Mischa The Evil
- File rm6609-with_done_per._status.png added
- File rm6609-with_done_per_field.png added
- File rm6609-issue_statuses_config.png added

- Category set to Issues
- Status changed from Closed to Reopened

- Resolution deleted (No feedback)

The behavior given by Ewan in the description is still present on source:/trunk@12577.

The implementation of the done ratio [computed] by issue status option [further referred to as 'the option'] predates the subtasking feature and its
behavior has not been changed by the subtasking implementation. Such a change hasn't been discussed as part of subtasking implementation either
IIRC.

Considering the scope of the option (and the fact that subtasking isn't computing issue statuses) there can be given arguments against changing the
current behavior. One for example is that it would break the pattern of computing the done ratio of the issue based on its status, which is after all the
main purpose of the option.

| think this definitely needs some more discussion. Especially from users who are using the option actively in production workflows.

To clarify the issue I'll attach some more screenshots:

with done ratio by issue field with done ratio by issue status issue statuses config
_ 400 _ 400 _150
Refs:

e #443

o #4274

#6 - 2014-01-10 06:32 - Ewan Makepeace

Michael Vorobiev: We ended up writing our own patch to fix this annoyance as part of some other improvements, but | must say it seems to negatively
impact performance at times. Would be very interested in other peoples feedback.

#7 - 2015-02-17 06:15 - Go MAEDA

- Has duplicate Feature #18184: Calculate parent task done ratio based on subtask status. added

#8 - 2015-02-17 06:22 - Go MAEDA

- Has duplicate Defect #13116: When setting Redmine to update the done % by status parent tasks should have the status update according to the
done % of the child tasks and not the status. This is the default behavior when you just update by issue. added

#9 - 2015-02-17 06:23 - Go MAEDA
- Has duplicate Feature #15692: calculation of % done with subtickets added

#10 - 2015-03-18 14:10 - Toshi MARUYAMA

- Description updated

#11 - 2016-04-17 06:07 - Toshi MARUYAMA

- Related to Feature #22284: Issues statuses: Option to force removal of existing percentage done added

#12 - 2016-08-20 04:38 - Go MAEDA

- Has duplicate Feature #23529: Calculate parent Issue's done ratio from subtasks in case of 'Use the issue status' added

#13 - 2016-08-20 04:40 - Go MAEDA

- Target version set to Candidate for next major release

#14 - 2018-03-27 13:36 - Uuganbayar Battulga

This is a very important issue. It's not included in version 3.4.4. When will this issue be included in the new releases?

#15 - 2018-10-15 14:05 - Manzumul Haque

| am also facing this issue in version 3.4.6. Waiting for the fix :)
#16 - 2019-07-17 14:53 - Elymar Silva

Looks like the calculation only works if you set the "Calculate the issue done ratio with" option to "Use the issue field" and not to "Use the issue
status"

2025-07-16 2/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/12577/entry/trunk
https://www.redmine.org/attachments/10964
https://www.redmine.org/attachments/10963
https://www.redmine.org/attachments/10965
https://www.redmine.org/issues/4274
https://www.redmine.org/users/10241

#17 - 2019-07-18 08:49 - Go MAEDA

- Target version changed from Candidate for next major release to Unplanned backlogs

#18 - 2021-02-11 14:41 - Raphael Franca

As alternative for 3.4.X i'm using http:/redmine-search.com/redmine-issue-done-ratio-plugin, as it let me use "Use the issue field" and still change

Done Ratio based on Issue Status.

#19 - 2021-11-18 00:49 - Cristian Bazzucco

I'm on 4.2.3.stable and the parent percentage calculation works only with "Calculate the issue done ratio with" option to "Use the issue field".

Any feedback to fix it? thx

Files

parent.jpg 45.4 KB 2010-10-08 Ewan Makepeace
rm6609-with_done_per_status.png 13.3 KB 2014-01-10 Mischa The Evil
rm6609-with_done_per_field.png 13.3 KB 2014-01-10 Mischa The Evil
rm6609-issue_statuses_config.png 4.16 KB 2014-01-10 Mischa The Evil

2025-07-16

3/3


http://redmine-search.com/redmine-issue-done-ratio-plugin
http://www.tcpdf.org

